import "package:irc/irc.dart";
import "package:irc/model.dart";

abstract class Callback {
  void onConnect(Connection connection);
  void onMessage(Connection connection, String message);
  void onDisconnect(Connection connection);
  void onJoin(Connection connection, User user, Channel channel);
  void onQuit(Connection connection, User user, String reason);
}

class CallbackAdapter extends Callback {
  void onConnect(Connection connection) {}
  void onMessage(Connection connection, String message) {}
  void onDisconnect(Connection connection) {}
  void onJoin(Connection connection, User user, Channel channel) {}
  void onQuit(Connection connection, User user, String reason) {}
}